from __future__ import annotations


class ApplicationRequestMessageEnum:
    """Сообщения для результата обработки заявки."""

    SUCCESS: str = 'Заявление принято к рассмотрению'
    CHANGES_SUCCESS: str = 'Изменения приняты'
    NO_CHANGES: str = 'Изменений не найдено'
    DATA_ERROR: str = 'Ошибка в данных запроса'
    MULTIPLE: str = (
        'Заявление на ребенка с указанными параметрами существует{}')
    OLD: str = 'Превышен допустимый возраст - 8 лет'
    DESIRED_DATE_ERROR: str = (
        'Указанная желаемая дата зачисления раннее, чем {}')
    UNIT_NOT_EXISTS: str = 'Организация с id={} не существует'

    ORG_CODE_110: int = 110
    ORG_CODE_150: int = 150

    values: dict[str, int] = {
        SUCCESS: ORG_CODE_110,
        CHANGES_SUCCESS: ORG_CODE_110,
        NO_CHANGES: ORG_CODE_150,
        DATA_ERROR: ORG_CODE_150,
        MULTIPLE: ORG_CODE_150,
        OLD: ORG_CODE_150,
        DESIRED_DATE_ERROR: ORG_CODE_150,
        UNIT_NOT_EXISTS: ORG_CODE_150,
    }
